'use strict';

const interwiki = require('../../components/interwiki');
const PAGE_NAME_REGEXP = /^[\w-:]*$/;

module.exports = (req, res) => {
    const wikiName = req.params.wiki_name;
    const lang = req.query.lang || 'en';
    const pageName = (req.query.page || '').replace(/^_default:/, '');

    if (!pageName || !PAGE_NAME_REGEXP.test(pageName)) {
        return res.send('');
    }

    return res.send(interwiki({wiki: wikiName, page: pageName, lang}));
};
