'use strict';

const WikidotKit = require('../lib/wikidot-kit/index');

const token = process.env.SCPNET_WIKIDOT_TOKEN || process.env.WIKIDOT_TOKEN;
const wk = new WikidotKit({token});

const WIKIS = {
    'scp-ru': {
        name: 'scp-ru',
        url: 'http://scpfoundation.ru',
        title: 'SCP Foundation Russia',
        description: 'Russian branch main wiki',
        interwiki: true
    },

    'scp-wiki': {
        name: 'scp-wiki',
        url: 'http://www.scp-wiki.net',
        title: 'SCP Foundation',
        description: 'Original English wiki',
        interwiki: true
    },

    'scpsandbox': {
        name: 'scpsandbox',
        url: 'http://sandbox.scpfoundation.ru',
        title: 'SCP Foundation Russia Sandbox',
        description: 'Russian branch sandbox wiki'
    },

    'wanderers-library': {
        name: 'wanderers-library',
        url: 'http://wanderers-library.wikidot.com',
        title: 'The Wanderers\' Library',
        description: 'Collaborative fiction exercise'
    },

    'fondationscp': {
        name: 'fondationscp',
        url: 'http://fondationscp.wikidot.com',
        title: 'Fondation SCP',
        description: 'The French Branch',
        interwiki: true
    },

    'scp-wiki-de': {
        name: 'scp-wiki-de',
        url: 'http://scp-wiki-de.wikidot.com',
        title: 'SCP Foundation in Deutschland',
        description: 'The German Branch',
        interwiki: true
    },

    'scp-pl': {
        name: 'scp-pl',
        url: 'http://scp-wiki.net.pl',
        title: 'Zabezpieczać Przechowywać Chronić',
        description: 'The Polish Branch',
        interwiki: true
    },

    'fondazionescp': {
        name: 'fondazionescp',
        url: 'http://fondazionescp.wikidot.com',
        title: 'Branca Italiana della SCP Foundation',
        description: 'The Italian branch',
        interwiki: true
    },

    'lafundacionscp': {
        name: 'lafundacionscp',
        url: 'http://lafundacionscp.wikidot.com',
        title: 'Rama Hispanohablante',
        description: 'The Spanish Branch',
        interwiki: true
    },

    'scp-wiki-cn': {
        name: 'scp-wiki-cn',
        url: 'http://scp-wiki-cn.wikidot.com',
        title: '控制，收容，保护',
        description: 'The Chinese Branch',
        interwiki: true
    },

    'scp-kr': {
        name: 'scp-kr',
        url: 'http://ko.scp-wiki.net',
        title: '확보, 격리, 보호',
        description: 'The Korean Branch',
        interwiki: true
    },

    'scp-jp': {
        name: 'scp-jp',
        url: 'http://ja.scp-wiki.net',
        title: '確保、収容、保護',
        description: 'The Japanese Branch',
        interwiki: true
    },

    'scp-th': {
        name: 'scp-th',
        url: 'http://scp-int.wikidot.com',
        title: 'จับ, เก็บ, เฝ้า',
        description: 'The Thai Branch',
        interwiki: true
    }
};

wk.wiki = WIKIS;
wk.wikiList = Object.keys(WIKIS).reduce((acc, name) => acc.concat(WIKIS[name]), []);
wk.wikiDomains = Object.keys(WIKIS).reduce((acc, name) => acc.concat(WIKIS[name].url.replace('http://', '')), []);

module.exports = wk;
